package com.njcn.web.enums;


import com.njcn.web.utils.GwSendUtil;

import static com.njcn.web.utils.GwSendUtil.NEWGWURL;

/**
 * @Description: 上送枚举
 * @Author: wr
 * @Date: 2023/12/7 10:53
 */
public enum GWSendEnum {


    //接收电能质量基准水平评估数据接口
    EVALUATION("pqEvaluationCreate", "/WMCenter/powerQuality/evaluation/create"),
    //接收电能质量典型源荷指标统计数据接口
    TYPICAL_SOURCE("pqTypicalSourceCreate", "/WMCenter/powerQuality/typicalSource/create"),
    //接收电能质量风电场台账数据接口
    WIND_CREATE("pqWindCreate", "/WMCenter/powerQuality/archivalInformation/windCreate"),
    //接收电能质量光伏电站台账数据接口
    PHOTOVOLTAIC_CREATE("pqPhotovoltaicCreate", "/WMCenter/powerQuality/archivalInformation/photovoltaicCreate"),
    //接收电能质量重要、敏感用户台账数据接口
    SENSITIVE_USER_CREATE("pqSensitiveUserCreate", "/WMCenter/powerQuality/archivalInformation/sensitiveUserCreate"),
    //接收电能质量牵引站台账数据接口
    TRACTION_STATION("pqTractionStationCreate", "/WMCenter/powerQuality/tractionStation/create"),
    //接收电能质量监测点台账数据接口
    MONITOR("pqMonitorCreate", "/WMCenter/powerQuality/monitor/create"),
    //接收电能质量监测点限值台账数据接口
    LIMIT_CREATE("pqLimitCreate", "/WMCenter/powerQuality/monitor/limitCreate"),
    //接收电能质量主配网监测点统计数据接口
    STATISTICAL_CREATE("pqMonitorStatisticalCreate", "/WMCenter/powerQuality/monitor/statisticalCreate"),
    //接收电能质量换流站指标汇总统计数据接口
    INDEX_CREATE("pqConverterIndexCreate", "/WMCenter/powerQuality/converterMonitor/indexCreate"),
    //接收电能质量换流站指标统计明细数据接口
    DETAIL_CREATE("pqConverterDetailCreate", "/WMCenter/powerQuality/converterMonitor/detailCreate"),
    //接收电能质量变电站监测统计数据接口
    SUBSTATION_MONITOR("pqSubstationMonitorCreate", "/WMCenter/powerQuality/substationMonitor/create"),
    //接收其他干扰用户台账数据接口
    OTHER_USER_CREATE("pqOtherUserCreate", "/WMCenter/powerQuality/archivalInformation/otherUserCreate"),



    //调用总部下发工单的反馈单接口
    WORK_ORDER_FEEDBACK("workOrderFeedBack", "/powerQuality/workOrder/receiveFeedbackInfo"),

    PARK_AND_STATION("parkAndStation", "/powerQuality/park/create"),

    REPORT_CREATE("reportCreate", "/powerQuality/report/create"),

    COMM_POINT("commPoint","/powerQuality/publicConnection/pqBusMonitorDataStatisticalCreate"),
    MAIN_MONITOR("mainMonitor","/powerQuality/runStatistics/monitorStatisticsCreate"),
    TEMP_USER_CREATE("tempUserCreate","/powerQuality/process/tempUserCreate"),
    TEMP_PROCESS_TRACK_CREATE("tempProcessTrackCreate","/powerQuality/process/processFollowCreate"),
    MONTH_REPORT_CREATE("monthReportCreate","/powerQuality/process/monthReportCreate"),
    PROCESS_APPROVAL_CREATE("processApprovalCreate","powerQuality/process/processApprovalCreate"),
    PROCESS_TEST_RUN_CREATE("processTestRunCreate","powerQuality/process/processTestRunCreate")
    ;


    private final String serviceName;

    private final String url;

    GWSendEnum(String serviceName, String url) {
        this.serviceName = serviceName;
        this.url = url;
    }

    public String getServiceName() {
        return serviceName;
    }

    public String getUrl() {
        return "http://dwzyywzt-pms3-proxy.com/CSB" + url;
    }

    public String getNewUrl(){
        return GwSendUtil.NEWGWURL + url;
    }
}
